package com.squareup.wire;

import com.bytedance.covode.number.Covode;

public @interface WireField {
    static {
        Covode.recordClassIndex(47739);
    }

    String adapter();

    String keyAdapter() default "";

    Label label() default Label.OPTIONAL;

    boolean redacted() default false;

    int tag();

    public enum Label {
        REQUIRED,
        OPTIONAL,
        REPEATED,
        ONE_OF,
        PACKED;

        public final boolean LIZ() {
            if (this == REPEATED || this == PACKED) {
                return true;
            }
            return false;
        }
    }
}
